Commit Upload Session
Mark an upload session as complete and assemble all previously uploaded parts to create a file.
POST
/api/{version}/services/file_staging/upload/{upload_session_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/json(default) |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
upload_session_id | The upload session ID. |
Request
Section link for Requestcurl -L -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v23.1/services/file_staging/upload/.lqX6rv1jbu5vABJoy5XoSZmQXTTJV_jwxO.kFuS.qISxQJDiFm0s_kfb8oRS9DBDGg--Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"job_id": 100954
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the job_id for the commit. Use the Job Status API to retrieve the job results. Upon successful completion of the job, the file will be available on the staging server.